import { RPCClientError } from '@loafer/ng-rpc';

import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';
import { MetaProbeTaskType } from '@overflow/commons-typescript/model/meta';

export const metaProbeTaskTypeEntityAdapter = createEntityAdapter<MetaProbeTaskType, RPCClientError>();
export interface State extends EntityState<MetaProbeTaskType, RPCClientError> {
}
export const initialState: State = metaProbeTaskTypeEntityAdapter.getInitialState({
});

export function getSelectors(selector: Selector<any, State>) {
  return {
    ...metaProbeTaskTypeEntityAdapter.getSelectors(selector),
  };
}
